Create Broadcast Chatpost https://{hostname}/api/talk/chat/v1/broadcastsThis operation creates a broadcast chat for one-way messaging. Authorization and Permissions An OpenAm token is required. The user must have content creation permission which can be added by a Talk administrator. Body ParamsThe Create Broadcast Chat request payload.namestringrequiredlength ≤ 150The name of the broadcast chat (maximum 150 characters).descriptionstringlength ≤ 200The description of the broadcast chat (maximum 200 characters).membersrequiredThe members to add to the broadcast chat. Either personIds or personNumbers must be provided, but not both. The maximum number of members is 50.Object 1Object 2members objectHeadersAuthorizationstringrequiredAn OpenAm or auth0 token for the user.x-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 201Successfully created a broadcast chat. 207Broadcast created, but member adds were partially or fully unsuccessful. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 409The HTTP status code 409 Conflict error, thrown when a new resource conflicts with an existing resource. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 429The HTTP status code 429 Too Many Requests error, thrown when the user exceeds the allowed rate limit for the API. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 3 months ago